from flask import request, url_for
from app.models import User


def user_endpoint_arguments_constructor():
    return {'user_id': request.view_args['user_id']}


def user_dynamic_list_constructor():
    user_id = request.view_args['user_id']
    user = User.query.get_or_404(user_id)
    return [
        {
            'text': f'<i class="material-icons left">person</i>{user.username}',
            'url': url_for('.user', user_id=user_id)
        }
    ]
